###########################################################################
#
# win32.mak -- Windows Makefile for common-src
#
# By Michael Dewsnip
#
# Copyright (C) 2010  DL Consulting Ltd.
#
###########################################################################


# Option: Lucene support
!IF $(ENABLE_LUCENE)
LUCENE_SUBDIRS = indexers packages\expat
!ENDIF

# Option: SQLite support
!IF $(USE_SQLITE)
SQLITE_SUBDIRS = packages\sqlite
!ENDIF

SUBDIRS = $(LUCENE_SUBDIRS) $(SQLITE_SUBDIRS) packages\windows\crypt\crypt src\lib


all: win32.mak $(SUBDIRS)

install: win32.mak $(SUBDIRS)

$(SUBDIRS): FORCE
	cd "$@"
	$(MAKE) /f win32.mak
	$(MAKE) /f win32.mak install
	cd "$(MAKEDIR)"

FORCE:
